aboutsummaryrefslogtreecommitdiffstats
path: root/main/apache2/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-10-02 06:12:50 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-10-02 06:13:15 +0000
commit76761100c47b1ea38a9ba0ed869f3fcc75a3899a (patch)
tree88fecbbe1a0a167c15d250f121f03cf162493f85 /main/apache2/APKBUILD
parentf40f1a17de4bb9b7f02c34243d6e3eb0d8a8b1e3 (diff)
downloadaports-76761100c47b1ea38a9ba0ed869f3fcc75a3899a.tar.gz
aports-76761100c47b1ea38a9ba0ed869f3fcc75a3899a.tar.bz2
aports-76761100c47b1ea38a9ba0ed869f3fcc75a3899a.tar.xz
main/apache2: enable WebDAV support
Diffstat (limited to 'main/apache2/APKBUILD')
-rw-r--r--main/apache2/APKBUILD19
1 files changed, 17 insertions, 2 deletions
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index a0dfffa2b6..988dace899 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apache2
pkgver=2.4.3
-pkgrel=0
+pkgrel=1
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
arch="all"
@@ -12,7 +12,7 @@ pkggroups="apache"
makedepends="openssl-dev zlib-dev apr-util-dev apr-dev pcre-dev sed lua-dev
autoconf automake"
subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-ssl
- $pkgname-ldap"
+ $pkgname-ldap $pkgname-webdav"
# see http://lists.err.no/pipermail/mpm-itk/2011-August/000432.html for
# the 03-add-mpm-to-build-system.patch
source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
@@ -24,6 +24,7 @@ source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
ldap.conf
alpine.layout
"
+_builddir="$srcdir"/httpd-$pkgver
prepare() {
cd "$srcdir"/httpd-$pkgver
@@ -63,6 +64,9 @@ build() {
--enable-deflate \
--enable-dbd \
--enable-exception-hook \
+ --enable-dav \
+ --enable-dav-fs \
+ --enable-dav-lock \
|| return 1
make || return 1
}
@@ -146,6 +150,17 @@ ldap() {
"$subpkgdir"/etc/apache2/conf.d/ldap.conf || return 1
}
+webdav() {
+ pkgdesc="WebDAV support for the Apache HTTP Server"
+ depends="apache2"
+
+ install -d "$subpkgdir"/usr/lib/apache2 || return 1
+ mv "$pkgdir"/usr/lib/apache2/mod_*dav.so \
+ "$subpkgdir"/usr/lib/apache2/ || return 1
+ install -D -m644 "$_builddir"/docs/conf/extra/httpd-dav.conf \
+ "$subpkgdir"/etc/apache2/conf.d/http-dav.conf || return 1
+}
+
md5sums="87aaf7bc7e8715f0455997bb8c6791aa httpd-2.4.3.tar.bz2
e322b5211e49511cac6e40c86af1b1da apache2.confd
75fe4138b98fcffd01b8c8c077b944f3 apache2.logrotate